org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectOrdered

All Superinterfaces:
  SelectBuilder.BuildSelect, SelectBuilder.SelectLock

All Known Subinterfaces:
  SelectBuilder.SelectFromAndJoin, SelectBuilder.SelectFromAndJoinCondition, SelectBuilder.SelectFromAndOrderBy, SelectBuilder.SelectWhere, SelectBuilder.SelectWhereAndOr

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectOrdered
    extends SelectBuilder.SelectLock, SelectBuilder.BuildSelect

Builder exposing `ORDER BY` and `LOCK` methods.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectOrdered` `orderBy(Collection<? extends OrderByField> orderByFields)` Add one or more `order by fields`.
`SelectBuilder.SelectOrdered` `orderBy(Column... columns)` Add one or more `columns` to order by.
`SelectBuilder.SelectOrdered` `orderBy(OrderByField... orderByFields)` Add one or more `order by fields`.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectLock

`lock`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.BuildSelect

`build`

### Method Detail

#### orderBy

    SelectBuilder.SelectOrdered orderBy(Column... columns)

Add one or more `columns` to order by.

Parameters:
  `columns` - the columns to order by.
Returns:
  `this` builder.

#### orderBy

    SelectBuilder.SelectOrdered orderBy(OrderByField... orderByFields)

Add one or more `order by fields`.

Parameters:
  `orderByFields` - the fields to order by.
Returns:
  `this` builder.

#### orderBy

    SelectBuilder.SelectOrdered orderBy(Collection<? extends OrderByField> orderByFields)

Add one or more `order by fields`.

Parameters:
  `orderByFields` - the fields to order by.
Returns:
  `this` builder.